package pricing

type MMS43PricingService struct{}

func NewMMS43PricingService() (*MMS43PricingService, error) {
	return &MMS43PricingService{}, nil
}

func (s *MMS43PricingService) Prices(params PricingParams) (map[string]Price, error) {
	return map[string]Price{
		"passenger": {
			Amount:   0.32 * float64(params.SharedMobility.PassengerDistance),
			Currency: "EUR/2",
		},
		"driver": {
			Amount:   0.32 * float64(params.SharedMobility.DriverDistance),
			Currency: "EUR/2",
		},
	}, nil
}
